---
search:
  tags:
    - Storage and files
    - POST
seo:
  description: >-
    Reserve quota and presign an upload. Reference for the POST
    /api/admin/storage/upload-url endpoint in the Athena Jeopardy Admin API.
sidebar:
  label: Reserve quota and presign an upload
  badge: POST
title: Reserve quota and presign an upload
type: openapi-operation
---
`POST /api/admin/storage/upload-url`

**Request body** (`application/json`, required)

- `fileId` (string, required)
- `prefix` (string)
- `contentLength` (number, required)

Request body example:

```json
{
  "fileId": "string",
  "prefix": "challenge_files",
  "contentLength": 1
}
```

**Responses**

- `200` — Success
- `401` — Unauthorized
- `413` — Response
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "uploadUrl": "string",
  "headers": {
    "property1": "string",
    "property2": "string"
  }
}
```
